import jwt from 'jsonwebtoken';
import config from '../config.js';

const verify_admin_token = async (req, res, next) => {
    const header = req.headers['authorization'];
    if (!header) return res.status(400).send({"message": "No admin token supplied"});
    if (config.admin_token != header.split(' ')[1]) return res.status(403).send({"message":"Admin token is incorrect"});
    next();
}

const verify_user_jwt = async (req, res, next) => {
    const header = req.headers['authorization'];
    let token = req.cookies.JWT? req.cookies.JWT : (header? header.split(' ')[1] : undefined)
    if (!token) return res.status(400).send({"message": "No authorization token supplied"});
    req.token = token;
    if (!jwt.verify(req.token, config.secret)) return res.status(403).send({"message":"Could not verify authorization token"});
    next();
}

export default {verify_admin_token, verify_user_jwt};