import { Router } from 'express';

import UserController from '../controllers/user.js';
import auth from '../middlewares/auth.js';

const UserRouter = new Router();

UserRouter.post('/user/register', auth.verify_admin_token, UserController.register);
UserRouter.post('/user/login', UserController.login);
UserRouter.get('/user/stats', auth.verify_user_jwt, UserController.stats);
export default UserRouter;